# $Revision: 1.4 $, $Date: 2004/07/17 15:01:56 $
#
# Conditional build:
%bcond_without	mad	# enable MP3 player using wrapper to mpg123
#
Summary:	Window Maker DIgital Music Player
Summary(pl):	Muzyczny Odtwarzacz Cyfrowy dla Window Makera
Name:		wmdimp
Version:	0.3
Release:	3
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://www.dei.unipd.it/~datamino/%{name}-%{version}.tar.gz
# Source0-md5:	6175f0ed3307d346b9eb8718401c40c7
Source1:	%{name}.desktop
URL:		http://wmdimp.cjb.net/
%{?with_mad:BuildRequires:	libmad-devel}
%{?with_mad:BuildRequires:	libid3tag-devel}
%{!?with_mad:Requires:		mpg123}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wmdimp is a digital music palyer. It uses an internal player based on
libmad, or a wrapper to mpg123. Based on wmmp3 code, but almost
completely rewritten. It uses low memory and cpu power.

%description -l pl
Wmdimp jest muzycznym odtwarzaczem cyfrowym. Uywa wewntrznego
odtwarzacza opartego o libmad albo nakadki na mpg123. Jest oparty na
kodzie wmmp3 ale prawie cakowicie przepisanego. Uywa maych zasobw
pamici i mocy procesora.

%prep
%setup -q 

%build
# always - doesn't build without NDEBUG
CFLAGS="%{rpmcflags} -DNDEBUG=1"
%configure \
	%{!?with_mad:--without-mad}
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO sample.wmdimprc
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/docklets/*.desktop
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmdimp.spec,v $
Revision 1.4  2004/07/17 15:01:56  yogib
- fixed desktop path

Revision 1.3  2004/07/14 20:42:30  kali
- switched to vfolders, rel 2

Revision 1.2  2004/01/15 22:38:16  yogib
- up to 0.3, rel 1
- added manuals

Revision 1.1  2003/12/09 23:29:16  qboosh
- from yogib <zban at intermedia.net.pl>

